#ifndef INPUT_H
#define INPUT_H

#include "StdPijo.h"

using namespace STDP;

//Representa la entrada por teclado del juego (necesita de previa inicializacion del paquete de graficos)
class Input
{
	public:
		//Constructor
		Input();
		
		static void init();
		static void update();
		static bool escapePressed();
		static bool spacePressed();
		static bool upPressed();
		static bool downPressed();
		static bool leftPressed();
		static bool rightPressed();

	private:
		static StdPijo *stdp;
		static int key;
};

#endif
	
